#ifndef AMAROK_H
#define AMAROK_H

#include <dcopclient.h>
#include <qobject.h>

#include "chat.h"
#include "misc.h"

class AmaroK : public QObject
{
    Q_OBJECT

    public:
        AmaroK();
        ~AmaroK();
        QString getTitle();
        int getLength();
        int getCurrentPos();
        Chat* getCurrentChat();
        QString parse(QString);
        bool isPlaying();
        bool isOn();
        QString convert(QString str);

    private:
        QTimer* timer;
        QString currentTitle;
        QString descriptionToUse;
        QString descriptionToSet;
        QPopupMenu* menu;
        int popups[3];
        DCOPClient* client;
        QMap<Chat*,QPushButton*> chatButtons;
        ConfigFile* config;

    public slots:
        void putSongTitle(int);
        void chatCreated(const UinsList&);
        void chatDestroying(const UinsList&);
        void checkTitle();
        void toggleTimer(int);
        void checkStatusDesc(UserStatus&, bool&);

    private slots:
        void handleCreatedChat(Chat* chat);
        void handleDestroyingChat(Chat* chat);
        void onCreateConfig();
        void onDestroyConfig();
        void onUpdateConfig();
};


#endif
